org.eclipse.ease.ui.scripts.expressions

## Class ExpressionTools

- java.lang.Object
- - org.eclipse.ease.ui.scripts.expressions.ExpressionTools

    public class ExpressionTools
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ExpressionTools.ExpressionDescription`

### Constructor Summary

Constructors
Constructor and Description
`ExpressionTools()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IExpressionDefinition` `createExpressionDefinition(java.lang.String identifier)`
`static java.util.Map<java.lang.String,ExpressionTools.ExpressionDescription>` `loadDescriptions()`
`static IExpressionDefinition` `parse(java.lang.String serializedExpression)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionTools

    public ExpressionTools()

### Method Detail

#### loadDescriptions

    public static java.util.Map<java.lang.String,ExpressionTools.ExpressionDescription> loadDescriptions()

#### parse

    public static IExpressionDefinition parse(java.lang.String serializedExpression)

#### createExpressionDefinition

    public static IExpressionDefinition createExpressionDefinition(java.lang.String identifier)